Skip to main content
`Ctrl`+`K`

# MatTransposeGetMat

Gets the `Mat` object stored inside a `MATTRANSPOSEVIRTUAL`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransposeGetMat(Mat A, Mat *M)

Logically Collective

## Input Parameter

- A - the `MATTRANSPOSEVIRTUAL` matrix

## Output Parameter

- M - the matrix object stored inside `A`

## See Also

Matrices, `Mat`, `MATTRANSPOSEVIRTUAL`, `MatCreateTranspose()`

## Level

intermediate

## Location

src/mat/impls/transpose/transm.c

## Implementations

MatTransposeGetMat_Transpose() in src/mat/impls/transpose/transm.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages